Bug 1225837 - hotplugging is broken in rawhide
Summary: hotplugging is broken in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
TreeView+ depends on / blocked
 
Reported: 2015-05-28 10:12 UTC by Richard W.M. Jones
Modified: 2015-09-21 22:05 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-21 22:05:53 UTC
Type: Bug


Attachments (Terms of Use)
hotplug.txt (61.36 KB, text/plain)
2015-05-28 10:12 UTC, Richard W.M. Jones
no flags Details

Description Richard W.M. Jones 2015-05-28 10:12:05 UTC
Created attachment 1031143 [details]
hotplug.txt

Description of problem:

Hot-add of a disk just hangs.  There is no message from the
guest (or host) kernel.

Version-Release number of selected component (if applicable):

libvirt-1.2.15-2.fc23.x86_64
qemu-2.3.0-5.fc23.x86_64
kernel-4.1.0-0.rc5.git0.1.fc23.x86_64

How reproducible:

It doesn't hang 100% of the time, but it does hang very
often, probably > 75% of the time.

Steps to Reproduce:
1. In the libguestfs build directory do:

cd tests/hotplug
LIBGUESTFS_TRACE=1 LIBGUESTFS_DEBUG=1 ../../run ./test-hotplug-repeated.pl

Actual results:

See attached log file.

Comment 1 Jan Kurik 2015-07-15 14:05:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Cole Robinson 2015-09-21 22:05:53 UTC
Rich I assume you aren't hitting this anymore, so closing. Please reopen if I'm wrong


Note You need to log in before you can comment on or make changes to this bug.